@ECHO OFF
TITLE CounterStrike Source Windows Server Startscript (simple) v.1.0
:# CounterStrike Source Windows Server Startscript (simple)
:# Version: 1.0
 
:# Author:
:# Bjrn Oppermann ([LAG]Natural)
:# clan-lag.ath.cx

:# Function:
:# CounterStrike Source Server Startscript for Windows.

:# Requirement:
:# nothing


:############################*
:# Configuration (Required):
:#

:# #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#
:# #~~ 1. SYSTEM PARAMETERS ~~~~~~~~~~#
:# #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

:# ~~ Description: Path to the root directory of the server
:# ~~ Params: System path
SET SYS_DIR=J:\_nlite\Progs\srcds\SRCDS\

:# ~~ Description: Server daemon
:# ~~ Default Value: srcds_run
SET SYS_DAEMON=srcds.exe

:# ~~ Description: Name of the server on your system
:SYS_NAME="CSS001" # ~~ not required under windows

:# ~~ Description: Description of the server
SET SYS_DESC="My first CounterStrike Source Server"

:# #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#
:# #~~ 2. SERVER START PARAMETER ~~~~~#
:# #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

:# ~~ Description: IPv4 Address of your server
:# ~~ Params: XXX.XXX.XXX.XXX
SET START_PARAMS_IP=192.168.1.2

:# ~~ Description: Port of your server
:# ~~ Params: Between 27015 and 30000
:# ~~ Default Value: 27015
SET START_PARAMS_PORT=27015

:# ~~ Description: Defines the default maps
:# ~~ Params: Every on the server installed map is possible
SET START_PARAMS_MAP=de_dust2

:# ~~ Description: Defines the amount of player slots
:# ~~ Params: Between 1 and 32
SET START_PARAMS_MAXPLAYERS=14

:# ~~ Description: Defines wether VAC (Valve Anti Cheat) is activated
:# ~~ Params: secure / insecure
:# ~~ Default Value: secure
SET START_PARAMS_SECURE=secure

:# ~~ Description: Pingboost
:# ~~ Params: 0 / 1 / 2 / 3
:# ~~ Default Value: 0
SET START_PARAMS_PINGBOOST=0

:# ~~ Description: Defines the tickrate
:# ~~ Params: 33 / 66 / 100 / 125
:# ~~ Default Value: 33
SET START_PARAMS_TICKRATE=100

:#
:# CONFIGURATION END
:############################*



:# ~~~ DON'T EDIT ANYTHING BELOW THIS LINE - ACCEPT YOU KNOW WHAT YOU ARE DOING ~~~


:############################*
:# STARTSCRIPT CORE START
:# 

ECHO  INFORMATION 
echo.
ECHO  Script:         CounterStrike Source Windows Startscript (simple)		
ECHO  Version:        1.0						
ECHO  Author:         Bjoern Oppermann					
ECHO  Website:        clan-lag.ath.cx					 
ECHO  Creation Date:  2008-09-09					
ECHO  Last Update:    2008-09-09					 
echo. 									              
ECHO 

:# ~~ Assembly start parameters
SET PARAMS=-game cstrike -console -pingboost %START_PARAMS_PINGBOOST% +map %START_PARAMS_MAP% +maxplayers %START_PARAMS_MAXPLAYERS% -%START_PARAMS_SECURE% -tickrate %START_PARAMS_TICKRATE% +ip %START_PARAMS_IP% -port %START_PARAMS_PORT%

ECHO Starting %SYS_DESC% . . .
ECHO SRCDS still running in console mode.
ECHO To stop SRCDS you may type "exit" or "quit" in the SRCDS-conole.
CALL %SYS_DIR%%SYS_DAEMON% %PARAMS%
:#
:# STARTSCRIPT CORE END
:############################*


ECHO Bye,bye.
EXIT

